Bug 2049850 - Old ApplicableContentHelper references cause `rake katello:import_applicability` to fail
Summary: Old ApplicableContentHelper references cause `rake katello:import_applicabili...
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: katello-agent
Version: 6.10.0
Hardware: Unspecified
OS: Unspecified
unspecified
low vote
Target Milestone: 6.11.0
Assignee: Ian Ballou
QA Contact: sganar
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-02-02 19:29 UTC by Ian Ballou
Modified: 2022-06-23 15:36 UTC (History)
3 users (show)

Fixed In Version: tfm-rubygem-katello-4.3.0.3-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 33554 0 Normal Closed Old ApplicableContentHelper references cause `rake katello:import_applicability` to fail 2022-02-08 22:24:47 UTC

Description Ian Ballou 2022-02-02 19:29:36 UTC
We need to delete `import_applicability` from app/models/katello/host/content_facet.rb and update katello:import_applicability to run `calculate_and_import_applicability`.

Comment 1 Ian Ballou 2022-02-02 19:29:39 UTC
Created from redmine issue https://projects.theforeman.org/issues/33554

Comment 2 Ian Ballou 2022-02-02 19:29:41 UTC
Upstream bug assigned to iballou@redhat.com

Comment 5 sganar 2022-05-30 15:29:06 UTC
Verified.

Tested on Satellite 6.11.0 Snap 21.0

Steps followed: 
1. Have some content hosts registered to the satellite
2. run `foreman-rake katello:import_applicability`

Observation: 
`foreman-rake katello:import_applicability` works fine without any error


Note You need to log in before you can comment on or make changes to this bug.